Subject: Re: [PATCH net-2.6] Re: rib_trie / Fix inflate_threshold_root. Now=15 size=11 bits

From: Jarek Poplawski <[email-masked]>
Date: Mon, 29 Jun 2009 19:09:59 +0200

On Mon, Jun 29, 2009 at 06:24:47PM +0200, Paweł Staszewski wrote:
> Jarek Poplawski pisze:
>> On Mon, Jun 29, 2009 at 11:51:52AM +0200, Paweł Staszewski wrote:
>>   
>>> I apply this patch
>>>
>>> fib_triestats in attached file :)
>>>     
>>
>> Great! But it would be nice to check if this (accidentally ;-) might
>> fix the previous problem, so I attach below the patch with "manual
>> RCU", which btw. (or even more important) should verify RCU use here.
>>
>>   
> After this patches all is OK now i don't see Fix inflate_threshold_root.
> Even if i make "clear ip bgp * "
>
> Before this patches when i make clear ip bgp there was always info in  
> dmesg about "Fix inflate_threshold_root"
>
>
>> It should be applied on top of this last "Fix..., part3". And
>> again: it's quite probable it can fail, so with caution, no hurry
>> (it can wait for quiet time)...
>>
>>   
> After apply this last patch - traffic is not forwarded again :)
> i was fast and have only some fib_triestats in attached file before  
> failover switch routers.
>
> This stats are from machine with this last patch that makes kernel to  
> stop forwarding

OK, I'll look at it again.

Thanks for testing!
Jarek P.